unit NTypes;

interface

type
  TLongintArray = array of Longint;
  TStringArray = array of string;
  TFileMode = set of (fmRead, fmWrite, fmReadWrite, fmTruncate);
  TDirMode = set of (dmDirectory, dmReadByOwner, dmWriteByOwner);
  TDir = record
    Name: string;
    Size: Int64;
    ATime: Int64;
    MTime: Int64;
    Mode: TDirMode;
  end;
  TTime = record
    Year: Integer;
    Mon: 1..12;
    MDay: 1..31;
    Hour: 0..23;
    Min: 0..59;
    Sec: 0..61;
    WDay: 0..6;
  end;

implementation
end.
